/**
 * Copyright (C) 2000
 */

package org.objectweb.perseus.fos.api;

import javax.transaction.xa.Xid;

/**
 * Defines the method fired when DTP recovery is required.
 * @author	S. Chassande-Barrioz, P. Dchamboux
 */
public interface FosRecoveryListener {
	/**
	 * Requests the recovery of DTP transactions for which no local
	 * recovery decision can be made locally.
	 */
	void recover(Xid[] txlist);
}