/**
 * Copyright (C) 2000
 */

package org.objectweb.perseus.fos.api;

/**
 * Defines the attributes that can be controled for a FOS manager.
 * @author	S. Chassande-Barrioz, P. D�chamboux
 */
public interface FosAttributeControler {
	/**
	 * Gives access to the FOS root directory (named dbDir).
	 */
	String getDbDir();

	/**
	 * Changes the FOS root directory.
	 */
	void setDbDir(String dbdir);
}
